
#ifndef INPUT_EXAMPLE_H
#define INPUT_EXAMPLE_H

#include <Spectre/Scene/Camera2D.h>
#include <Spectre/Graphics/Texture.h>
#include <Spectre/Graphics/Sprite.h>
#include <Spectre/Game.h>

namespace sp {
	class Renderer2D;
}

class InputExample : public sp::Game
{
protected :

	void init();

	void update(double dt);

	void render();

private :
	sp::Camera2D m_camera;
	sp::Renderer2D *m_renderer;

	sp::Sprite m_kb_sprite;
	sp::Sprite m_mouse_sprite;

	sp::Texture m_tux_texture;
};

#endif /* INPUT_EXAMPLE_H*/
